Bug 1391650 - [RFE] [RGW] radosgw-admin bucket quota warning
Summary: [RFE] [RGW] radosgw-admin bucket quota warning
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.1
Hardware: All
OS: All
unspecified
high
Target Milestone: rc
: 2.3
Assignee: Matt Benjamin (redhat)
QA Contact: Parikshith
Erin Donnelly
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 1437916
TreeView+ depends on / blocked
 
Reported: 2016-11-03 16:43 UTC by Matt Benjamin (redhat)
Modified: 2017-07-30 16:04 UTC (History)
12 users (show)

(edit)
.The radosgw-admin utility supports a new bucket limitcheck command

The `radosgw-admin` utility has a new command `bucket limitcheck` to warn the administrator when a bucket needs resharding. Previously, buckets with more objects than is recommended could be unnoticed and cause performance issues. This new command reports on bucket status with respect to the configured bucket sharding recommendations ensuring that administrators can detect overloaded buckets easily.
Clone Of:
(edit)
Last Closed: 2017-06-19 13:27:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1497 normal SHIPPED_LIVE Red Hat Ceph Storage 2.3 bug fix and enhancement update 2017-06-19 17:24:11 UTC
Ceph Project Bug Tracker 17925 None None None 2017-01-30 20:37 UTC

Description Matt Benjamin (redhat) 2016-11-03 16:43:06 UTC
Description of problem:

RGW should generate warnings when buckets are in danger exceeding the same maximum number of entries per index shard (appx. 100000, for buckets with indexes)

Version-Release number of selected component (if applicable):
2.1

Actual results:
No comparable feature exists.


Expected results:
We propose to address the issue by providing a new radosgw-admin sub-command which scans existing, indexed buckets and reports on those which have exceeded or have approached within a defined percentage (default 10%) of the safe maximum entry limit of 100K per index shard.

Additional info:
None

Comment 6 Matt Benjamin (redhat) 2016-11-05 20:49:05 UTC
Proposed upstream PR:
https://github.com/ceph/ceph/pull/11796

Comment 11 Ken Dreyer (Red Hat) 2017-04-07 18:18:09 UTC
Matt would you please rebase the PR at https://github.com/ceph/ceph/pull/11796 so we can get this upstream?

Comment 12 Matt Benjamin (redhat) 2017-04-19 20:08:34 UTC
(In reply to Ken Dreyer (Red Hat) from comment #11)
> Matt would you please rebase the PR at
> https://github.com/ceph/ceph/pull/11796 so we can get this upstream?

@ken, rebased last week, I asked Casey to re-review.

Matt

Comment 34 Parikshith 2017-06-01 06:08:37 UTC
Made the changes. Verified with 5 different buckets with varying objects.
Warning messages are displayed as per the configuration set.

rgw_override_bucket_index_max_shards = 10 
rgw_safe_max_objects_per_shard = 1000

radosgw-admin bucket limit check --warnings-only
[
    {
        "user_id": "johndoe",
        "buckets": [
            {
                "bucket": "general_2_3_10000",
                "tenant": "",
                "num_objects": 10000,
                "num_shards": 10,
                "objects_per_shard": 1000,
                "fill_status": "WARN 100.000000%"
            },
            {
                "bucket": "general_2_3_20000",
                "tenant": "",
                "num_objects": 20000,
                "num_shards": 10,
                "objects_per_shard": 2000,
                "fill_status": "OVER 100.000000%"
            }
        ]
    }
]

Comment 36 errata-xmlrpc 2017-06-19 13:27:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1497


Note You need to log in before you can comment on or make changes to this bug.